Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain
Class Patient.Builder

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.Patient.Builder

Enclosing class:
  Patient

Deprecated.

    @Deprecated
    public static class Patient.Builder

extends Object

Patient builder static class

Constructor Summary
`Patient.Builder()` Deprecated.

Method Summary
`Patient` | `build()` Deprecated. use be.ehealth.business.common.domain.Patient instead build the patient object and checks for parameters integrity
`Patient.Builder` | `withEid(String eid)` Deprecated. use be.ehealth.business.common.domain.Patient instead
`Patient.Builder` | `withFamilyName(String value)` Deprecated. use be.ehealth.business.common.domain.Patient instead
`Patient.Builder` | `withFirstName(String value)` Deprecated. use be.ehealth.business.common.domain.Patient instead
`Patient.Builder` | `withInss(String value)` Deprecated. use be.ehealth.business.common.domain.Patient instead
`Patient.Builder` | `withName(String value)` Deprecated. use be.ehealth.business.common.domain.Patient instead
`Patient.Builder` | `withSis(String value)` Deprecated. use be.ehealth.business.common.domain.Patient instead

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Patient.Builder

    @Deprecated
    public Patient.Builder()

  Deprecated.

Method Detail

### withFirstName

    @Deprecated
    public Patient.Builder withFirstName(String value)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `value` -
  Returns:

### withFamilyName

    @Deprecated
    public Patient.Builder withFamilyName(String value)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `value` -
  Returns:

### withName

    @Deprecated
    public Patient.Builder withName(String value)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `value` -
  Returns:

### withInss

    @Deprecated
    public Patient.Builder withInss(String value)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `value` -
  Returns:

### withSis

    @Deprecated
    public Patient.Builder withSis(String value)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `value` -
  Returns:

### withEid

    @Deprecated
    public Patient.Builder withEid(String eid)

  Deprecated. use be.ehealth.business.common.domain.Patient instead

  Parameters:
    `eid` -
  Returns:

### build

    @Deprecated
    public Patient build()
                  throws TherLinkBusinessConnectorException

  Deprecated. use be.ehealth.business.common.domain.Patient instead build the patient object and checks for parameters integrity

  Throws:
    `TherLinkBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.